commit:     16139bfbc710b8aa8dece93b906963f6de9e1414
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  8 19:26:48 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct  8 19:47:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16139bfb

dev-python/pygit2: Bump to 1.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest            |  1 +
 dev-python/pygit2/pygit2-1.7.0.ebuild | 41 +++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 45f21fdd55d..0dcc19893f3 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1 +1,2 @@
 DIST pygit2-1.6.1.tar.gz 258338 BLAKE2B 
dc223e2a5231728c42ca7e0581483731fbab6ee090cf4aeeb27f186973b3c753fdf54c89679a88b97d834d717135f9b8f9a2adf492ed8572affa938c79d0f905
 SHA512 
67a78313493ba096cbae6805bda861495f33644fd180b5fb1cd99dcd226ef5a09ee85bd27d04d0697ef15503a4e902aa1384980870551f430fd9560ac949fe2f
+DIST pygit2-1.7.0.tar.gz 276292 BLAKE2B 
6091e2916c4986cb545f23d3a31f262666f0349661ccc48769414e888d0ede48af3a80483b4638a3a2275b74ed9b42113bdeae678f03d76caa7e796c6011b50c
 SHA512 
3a8654036d0ab875898ce60e81bcab48bdb6d6bd63c29dc98272c71b5c82391e3186da61083fba09faf722e176fed5c592a36edb53ae0b957726e74646d25616

diff --git a/dev-python/pygit2/pygit2-1.7.0.ebuild 
b/dev-python/pygit2/pygit2-1.7.0.ebuild
new file mode 100644
index 00000000000..3e42e86427e
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.7.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       =dev-libs/libgit2-1.3*:=
+       dev-python/cached-property[${PYTHON_USEDEP}]
+       >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/has_network/s:True:False:' test/utils.py || die
+
+       # we need to move them away to prevent pytest from forcing '..'
+       # for imports
+       mkdir hack || die
+       mv test hack/ || die
+       ln -s hack/test test || die
+}
+
+python_test() {
+       epytest hack/test
+}

Reply via email to